export class StbDocumentationApi {
    constructor() {
        this.stbTitle = '';
        this.details = '';
        this.api = [];
        this.type = '';
        this.language = 'html';
    }
    render() {
        return (h("div", null,
            h("h2", null, this.stbTitle),
            h("slot", { name: 'details' },
                h("p", null, this.details)),
            h("ul", null, this.api.map(api => h("li", null, api.name))),
            h("slot", { name: 'code' })));
    }
    static get is() { return "stb-documentation-api"; }
    static get properties() { return { "api": { "type": "Any", "attr": "api" }, "details": { "type": String, "attr": "details" }, "element": { "elementRef": true }, "language": { "type": String, "attr": "language" }, "stbTitle": { "type": String, "attr": "stb-title" }, "type": { "type": String, "attr": "type" } }; }
    static get style() { return "/**style-placeholder:stb-documentation-api:**/"; }
}
