export class StbPageCollapses {
    render() {
        return (h("div", { class: "pb-4" },
            h("h1", null, "Collapses"),
            h("br", null),
            h("br", null),
            h("stb-collapse", null,
                h("button", { class: "btn btn-primary", type: "button", "data-toggle": "collapse", "data-target": "#outsideBox", "aria-expanded": "false", "aria-controls": "collapseExample" }, "Button with outside collapsible")),
            h("br", null),
            h("br", null),
            h("stb-collapse", { accordion: false },
                h("div", null,
                    h("p", null,
                        h("button", { class: "btn btn-primary", type: "button", "data-toggle": "collapse", "data-target": "#collapseExample", role: "button", "aria-expanded": "false", "aria-controls": "collapseExample" }, "Link with href"),
                        h("button", { class: "btn btn-primary", type: "button", "data-toggle": "collapse", "data-target": "#collapseExample2", "aria-expanded": "false", "aria-controls": "collapseExample" }, "Button with data-target")),
                    h("div", { class: "collapse", id: "collapseExample" },
                        h("div", { class: "card card-body" }, "Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.")),
                    h("div", { class: "collapse", id: "collapseExample2" },
                        h("div", { class: "card card-body" }, "Anim2 pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.")))),
            h("br", null),
            h("br", null),
            h("div", { class: "collapse", id: "outsideBox" },
                h("div", { class: "card card-body" }, "Anim2 pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident.")),
            h("stb-collapse", { accordion: true },
                h("div", { id: "accordion" },
                    h("div", { class: "card" },
                        h("div", { class: "card-header", id: "headingOne", "data-toggle": "collapse", "data-target": "#collapseOne" },
                            h("h5", { class: "mb-0" },
                                h("button", { class: "btn btn-link", "aria-expanded": "true", "aria-controls": "collapseOne" }, "Collapsible Group Item #1"))),
                        h("div", { id: "collapseOne", class: "collapse show", "aria-labelledby": "headingOne", "data-parent": "#accordion" },
                            h("div", { class: "card-body" }, "Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS."))),
                    h("div", { class: "card" },
                        h("div", { class: "card-header", id: "headingTwo", "data-toggle": "collapse", "data-target": "#collapseTwo" },
                            h("h5", { class: "mb-0" },
                                h("button", { class: "btn btn-link collapsed", "aria-expanded": "false", "aria-controls": "collapseTwo" }, "Collapsible Group Item #2"))),
                        h("div", { id: "collapseTwo", class: "collapse", "aria-labelledby": "headingTwo", "data-parent": "#accordion" },
                            h("div", { class: "card-body" }, "Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS."))),
                    h("div", { class: "card" },
                        h("div", { class: "card-header", id: "headingThree", "data-toggle": "collapse", "data-target": "#collapseThree" },
                            h("h5", { class: "mb-0" },
                                h("button", { class: "btn btn-link collapsed", "aria-expanded": "false", "aria-controls": "collapseThree" }, "Collapsible Group Item #3"))),
                        h("div", { id: "collapseThree", class: "collapse", "aria-labelledby": "headingThree", "data-parent": "#accordion" },
                            h("div", { class: "card-body" }, "Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident."))))),
            h("br", null),
            h("br", null),
            h("h3", null, "Methods"),
            h("table", { class: 'table' },
                h("thead", null,
                    h("tr", null,
                        h("th", null, "Method"),
                        h("th", null, "Description"))),
                h("tbody", null,
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').show()")),
                        h("td", null, "Shows the page that was passed via parameters as element.")),
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').hide()")),
                        h("td", null, "Hides the page that was passed via parameters as element.")))),
            h("br", null),
            h("h3", null, "Events"),
            h("table", { class: 'table' },
                h("thead", null,
                    h("tr", null,
                        h("th", null, "Event"),
                        h("th", null, "Description"))),
                h("tbody", null,
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "onShow")),
                        h("td", null, "This event fires immediately when the show instance method is called.")),
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "onHide")),
                        h("td", null, "This event is fired when a carousel page has finished being hidden."))))));
    }
    static get is() { return "stb-page-collapses"; }
    static get style() { return "/**style-placeholder:stb-page-collapses:**/"; }
}
