export class StbPageDropdowns {
    render() {
        return (h("div", { class: "pb-4" },
            h("h1", null, "Dropdowns"),
            h("br", null),
            h("br", null),
            h("h2", null, "Single button"),
            h("p", null,
                "Any single .btn can be turned into a dropdown toggle with some markup changes. Here\u2019s how you can put them to work with either ",
                `<button>`,
                " elements:"),
            h("stb-dropdown", null,
                h("button", { class: "btn btn-secondary dropdown-toggle", type: "button", id: "dropdownMenuButton", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Dropdown button"),
                h("div", { class: "dropdown-menu", "aria-labelledby": "dropdownMenuButton" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"))),
            h("br", null),
            h("br", null),
            h("stb-code", null, `<stb-dropdown>
  <button
    class="btn btn-secondary dropdown-toggle"
    type="button"
    id="dropdownMenuLink"
    data-toggle="dropdown"
    aria-haspopup="true"
    aria-expanded="false"
  >
    Dropdown link
  </button>

  <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
    <a class="dropdown-item" href="#">Action</a>
    <a class="dropdown-item" href="#">Another action</a>
    <a class="dropdown-item" href="#">Something else here</a>
  </div>
</stb-dropdown>`),
            h("br", null),
            h("br", null),
            h("p", null,
                "And with ",
                `<a>`,
                " elements:"),
            h("br", null),
            h("br", null),
            h("stb-dropdown", null,
                h("div", { class: "dropdown" },
                    h("a", { class: "btn btn-secondary dropdown-toggle", href: "#", role: "button", id: "dropdownMenuLink", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Dropdown link"),
                    h("div", { class: "dropdown-menu", "aria-labelledby": "dropdownMenuLink" },
                        h("a", { class: "dropdown-item", href: "#" }, "Action"),
                        h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                        h("a", { class: "dropdown-item", href: "#" }, "Something else here")))),
            h("br", null),
            h("stb-code", null, `<div class="dropdown">
  <a
    class="btn btn-secondary dropdown-toggle"
    href="#"
    role="button"
    id="dropdownMenuLink"
    data-toggle="dropdown"
    aria-haspopup="true"
    aria-expanded="false"
  >
    Dropdown link
  </a>

  <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
    <a class="dropdown-item" href="#">Action</a>
    <a class="dropdown-item" href="#">Another action</a>
    <a class="dropdown-item" href="#">Something else here</a>
  </div>
</div>`),
            h("br", null),
            h("br", null),
            h("p", null, "The best part is you can do this with any button variant, too:"),
            h("br", null),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-primary dropdown-toggle", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Primary"),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-secondary dropdown-toggle", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Secondary"),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-success dropdown-toggle", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Success"),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-info dropdown-toggle", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Info"),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-warning dropdown-toggle", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Warning"),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-danger dropdown-toggle", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Danger"),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-code", null, `<!-- Example single danger button -->
<div class="btn-group">
  <button
    type="button"
    class="btn btn-danger dropdown-toggle"
    data-toggle="dropdown"
    aria-haspopup="true"
    aria-expanded="false"
  >
    Action
  </button>
  <div class="dropdown-menu">
    <a class="dropdown-item" href="#">Action</a>
    <a class="dropdown-item" href="#">Another action</a>
    <a class="dropdown-item" href="#">Something else here</a>
    <div class="dropdown-divider"></div>
    <a class="dropdown-item" href="#">Separated link</a>
  </div>
</div>`),
            h("br", null),
            h("br", null),
            h("br", null),
            h("br", null),
            h("h2", null, "Split button"),
            h("br", null),
            h("p", null, "Similarly, create split button dropdowns with virtually the same markup as single button dropdowns, but with the addition of .dropdown-toggle-split for proper spacing around the dropdown caret."),
            h("p", null, "We use this extra class to reduce the horizontal padding on either side of the caret by 25% and remove the margin-left that\u2019s added for regular button dropdowns. Those extra changes keep the caret centered in the split button and provide a more appropriately sized hit area next to the main button."),
            h("br", null),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-primary" }, "Primary"),
                h("button", { type: "button", class: "btn btn-primary dropdown-toggle dropdown-toggle-split", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" },
                    h("span", { class: "sr-only" }, "Toggle Dropdown")),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-secondary" }, "Secondary"),
                h("button", { type: "button", class: "btn btn-secondary dropdown-toggle dropdown-toggle-split", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" },
                    h("span", { class: "sr-only" }, "Toggle Dropdown")),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-success" }, "Success"),
                h("button", { type: "button", class: "btn btn-success dropdown-toggle dropdown-toggle-split", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" },
                    h("span", { class: "sr-only" }, "Toggle Dropdown")),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-info" }, "Info"),
                h("button", { type: "button", class: "btn btn-info dropdown-toggle dropdown-toggle-split", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" },
                    h("span", { class: "sr-only" }, "Toggle Dropdown")),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-warning" }, "Warning"),
                h("button", { type: "button", class: "btn btn-warning dropdown-toggle dropdown-toggle-split", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" },
                    h("span", { class: "sr-only" }, "Toggle Dropdown")),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-danger" }, "Danger"),
                h("button", { type: "button", class: "btn btn-danger dropdown-toggle dropdown-toggle-split", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" },
                    h("span", { class: "sr-only" }, "Toggle Dropdown")),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-code", null, `<!-- Example split danger button -->
<div class="btn-group">
  <button type="button" class="btn btn-danger">Action</button>
  <button
    type="button"
    class="btn btn-danger dropdown-toggle dropdown-toggle-split"
    data-toggle="dropdown"
    aria-haspopup="true"
    aria-expanded="false"
  >
    <span class="sr-only">Toggle Dropdown</span>
  </button>
  <div class="dropdown-menu">
    <a class="dropdown-item" href="#">Action</a>
    <a class="dropdown-item" href="#">Another action</a>
    <a class="dropdown-item" href="#">Something else here</a>
    <div class="dropdown-divider"></div>
    <a class="dropdown-item" href="#">Separated link</a>
  </div>
</div>`),
            h("br", null),
            h("br", null),
            h("h2", null, "Sizing"),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-secondary btn-lg dropdown-toggle", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Large Button"),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { class: "btn-group m-2" },
                h("button", { type: "button", class: "btn btn-secondary btn-sm dropdown-toggle", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Small Button"),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-code", null, `<!-- Large button-->
<stb-dropdown class="btn-group m-2">
  <button
    type="button"
    class="btn btn-secondary btn-lg dropdown-toggle"
    data-toggle="dropdown"
    aria-haspopup="true"
    aria-expanded="false"
  >
    Large Button
  </button>
  <div class="dropdown-menu">
    <a class="dropdown-item" href="#">Action</a>
    <a class="dropdown-item" href="#">Another action</a>
    <a class="dropdown-item" href="#">Something else here</a>
    <div class="dropdown-divider"></div>
    <a class="dropdown-item" href="#">Separated link</a>
  </div>
</stb-dropdown>

<!-- Small button-->
<stb-dropdown class="btn-group m-2">
  <button
    type="button"
    class="btn btn-secondary btn-sm dropdown-toggle"
    data-toggle="dropdown"
    aria-haspopup="true"
    aria-expanded="false"
  >
    Small Button
  </button>
  <div class="dropdown-menu">
    <a class="dropdown-item" href="#">Action</a>
    <a class="dropdown-item" href="#">Another action</a>
    <a class="dropdown-item" href="#">Something else here</a>
    <div class="dropdown-divider"></div>
    <a class="dropdown-item" href="#">Separated link</a>
  </div>
</stb-dropdown>`),
            h("br", null),
            h("br", null),
            h("h2", null, "Directions"),
            h("h3", null, "Dropup"),
            h("p", null, "Trigger dropdown menus above elements by adding .dropup to the parent element."),
            h("stb-dropdown", { placement: "top-start", class: "btn-group dropup m-2" },
                h("button", { type: "button", class: "btn btn-secondary dropdown-toggle", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Dropup"),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { placement: "top-start", class: "btn-group dropup m-2" },
                h("button", { type: "button", class: "btn btn-secondary" }, "Split dropup"),
                h("button", { type: "button", class: "btn btn-secondary dropdown-toggle dropdown-toggle-split", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" },
                    h("span", { class: "sr-only" }, "Toggle Dropdown")),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-code", null, `<!-- Default dropup button -->
<stb-dropdown placement="top-start" class="btn-group dropup">
  <button
    type="button"
    class="btn btn-secondary dropdown-toggle"
    data-toggle="dropdown"
    aria-haspopup="true"
    aria-expanded="false"
  >
    Dropup
  </button>
  <div class="dropdown-menu">
    <!-- Dropdown menu links -->
  </div>
</stb-dropdown>

<!-- Split dropup button -->
<stb-dropdown placement="top-start" class="btn-group dropup">
  <button type="button" class="btn btn-secondary">
    Split dropup
  </button>
  <button
    type="button"
    class="btn btn-secondary dropdown-toggle dropdown-toggle-split"
    data-toggle="dropdown"
    aria-haspopup="true"
    aria-expanded="false"
  >
    <span class="sr-only">Toggle Dropdown</span>
  </button>
  <div class="dropdown-menu">
    <!-- Dropdown menu links -->
  </div>
</stb-dropdown>`),
            h("br", null),
            h("br", null),
            h("h3", null, "Dropright"),
            h("p", null, "Trigger dropdown menus at the right of the elements by adding .dropright to the parent element."),
            h("stb-dropdown", { placement: "right-start", class: "btn-group dropright m-2" },
                h("button", { type: "button", class: "btn btn-secondary dropdown-toggle", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Dropright"),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { placement: "right-start", class: "btn-group dropright m-2" },
                h("button", { type: "button", class: "btn btn-secondary" }, "Split dropright"),
                h("button", { type: "button", class: "btn btn-secondary dropdown-toggle dropdown-toggle-split", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" },
                    h("span", { class: "sr-only" }, "Toggle Dropdown")),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-code", null, `<!-- Default dropright button -->
<stb-dropdown placement="right-start" class="btn-group dropright">
  <button
    type="button"
    class="btn btn-secondary dropdown-toggle"
    data-toggle="dropdown"
    aria-haspopup="true"
    aria-expanded="false"
  >
    Dropright
  </button>
  <div class="dropdown-menu">
    <!-- Dropdown menu links -->
  </div>
</stb-dropdown>

<!-- Split dropright button -->
<stb-dropdown placement="right-start" class="btn-group dropright">
  <button type="button" class="btn btn-secondary">
    Split dropright
  </button>
  <button
    type="button"
    class="btn btn-secondary dropdown-toggle dropdown-toggle-split"
    data-toggle="dropdown"
    aria-haspopup="true"
    aria-expanded="false"
  >
    <span class="sr-only">Toggle Dropdown</span>
  </button>
  <div class="dropdown-menu">
    <!-- Dropdown menu links -->
  </div>
</stb-dropdown>`),
            h("br", null),
            h("br", null),
            h("h3", null, "Dropleft"),
            h("p", null, "Trigger dropdown menus at the left of the elements by adding .dropleft to the parent element."),
            h("stb-dropdown", { placement: "left-start", class: "btn-group dropleft m-2" },
                h("button", { type: "button", class: "btn btn-secondary dropdown-toggle", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" }, "Dropleft"),
                h("div", { class: "dropdown-menu" },
                    h("a", { class: "dropdown-item", href: "#" }, "Action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                    h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                    h("div", { class: "dropdown-divider" }),
                    h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
            h("stb-dropdown", { placement: "left-start", class: "btn-group m-2" },
                h("div", { class: "btn-group dropleft", role: "group" },
                    h("button", { type: "button", class: "btn btn-secondary dropdown-toggle dropdown-toggle-split", "data-toggle": "dropdown", "aria-haspopup": "true", "aria-expanded": "false" },
                        h("span", { class: "sr-only" }, "Toggle Dropdown")),
                    h("div", { class: "dropdown-menu" },
                        h("a", { class: "dropdown-item", href: "#" }, "Action"),
                        h("a", { class: "dropdown-item", href: "#" }, "Another action"),
                        h("a", { class: "dropdown-item", href: "#" }, "Something else here"),
                        h("div", { class: "dropdown-divider" }),
                        h("a", { class: "dropdown-item", href: "#" }, "Separated link"))),
                h("button", { type: "button", class: "btn btn-secondary" }, "Split dropleft")),
            h("stb-code", null, `<!-- Default dropleft button -->
<stb-dropdown placement="left-start" class="btn-group dropleft">
  <button
    type="button"
    class="btn btn-secondary dropdown-toggle"
    data-toggle="dropdown"
    aria-haspopup="true"
    aria-expanded="false"
  >
    Dropleft
  </button>
  <div class="dropdown-menu">
    <!-- Dropdown menu links -->
  </div>
</stb-dropdown>

<!-- Split dropleft button -->
<stb-dropdown placement="left-start" class="btn-group m-2">
  <div class="btn-group dropleft" role="group">
    <button
      type="button"
      class="btn btn-secondary dropdown-toggle dropdown-toggle-split"
      data-toggle="dropdown"
      aria-haspopup="true"
      aria-expanded="false"
    >
      <span class="sr-only">Toggle Dropdown</span>
    </button>
    <div class="dropdown-menu">
      <a class="dropdown-item" href="#">Action</a>
      <a class="dropdown-item" href="#">Another action</a>
      <a class="dropdown-item" href="#">Something else here</a>
      <div class="dropdown-divider"></div>
      <a class="dropdown-item" href="#">Separated link</a>
    </div>
  </div>
  <button type="button" class="btn btn-secondary">
    Split dropleft
  </button>
</stb-dropdown>`),
            h("br", null),
            h("br", null),
            h("h2", null, "Dropdown options"),
            h("br", null),
            h("h3", null, "Options"),
            h("table", null,
                h("thead", null,
                    h("th", null, "Name")),
                h("tbody", null,
                    h("tr", null,
                        h("td", null, "offset (coming soon)")),
                    h("tr", null,
                        h("td", null, "data-reference (coming soon)")))),
            h("br", null),
            h("h3", null, "Methods"),
            h("table", { class: 'table' },
                h("thead", null,
                    h("tr", null,
                        h("th", null, "Method"),
                        h("th", null, "Description"))),
                h("tbody", null,
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').toggle()")),
                        h("td", null, "Toggles the dropdown menu of a given navbar or tabbed navigation.")),
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').show()")),
                        h("td", null, "Shows dropdown menu.")),
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').hide()")),
                        h("td", null, "Hides dropdown menu.")))),
            h("h3", null, "Events"),
            h("table", { class: 'table' },
                h("thead", null,
                    h("tr", null,
                        h("th", null, "Event"),
                        h("th", null, "Description"))),
                h("tbody", null,
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "onShow")),
                        h("td", null, "This event fires immediately when the show instance method is called.")),
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "onHide")),
                        h("td", null, "This event is fired when the dropdown has finished being hidden from the user (will wait for CSS transitions, to complete)."))))));
    }
    static get is() { return "stb-page-dropdowns"; }
    static get style() { return "/**style-placeholder:stb-page-dropdowns:**/"; }
}
