export class MyApp {
    constructor() {
        this.currentPage = '/';
        this.currentPage = this.getLocation();
    }
    getLocation() {
        return location.pathname;
    }
    isActive(path) {
        return path === this.currentPage ? 'active' : '';
    }
    setPage(path) {
        this.currentPage = path;
    }
    render() {
        return (h("div", null,
            h("nav", { class: "navbar navbar-dark bg-dark" },
                h("a", { class: "navbar-brand", href: "/" }, "Stencil Bootstrap")),
            h("main", { class: "container row" },
                h("div", { class: "nav flex-column nav-pills col-md-3 pt-4 m-1", id: "v-pills-tab", role: "tablist", "aria-orientation": "vertical" },
                    h("stencil-route-link", { url: '/', onClick: () => this.setPage('/') },
                        h("a", { class: `nav-link ${this.isActive('/')}`, id: "v-pills-home-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-home", "aria-selected": "true" }, "Home")),
                    h("stencil-route-link", { url: '/dropdowns', onClick: () => this.setPage('/dropdowns') },
                        h("a", { class: `nav-link ${this.isActive('/dropdowns')}`, id: "v-pills-profile-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Dropdowns")),
                    h("stencil-route-link", { url: '/navs', onClick: () => this.setPage('/navs') },
                        h("a", { class: `nav-link ${this.isActive('/navs')}`, id: "v-pills-profile-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Navs")),
                    h("stencil-route-link", { url: '/modals', onClick: () => this.setPage('/modals') },
                        h("a", { class: `nav-link ${this.isActive('/modals')}`, id: "v-pills-profile-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Modals")),
                    h("stencil-route-link", { url: '/carousels', onClick: () => this.setPage('/carousels') },
                        h("a", { class: `nav-link ${this.isActive('/carousels')}`, id: "v-pills-profile-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Carousels")),
                    h("stencil-route-link", { url: '/paginations', onClick: () => this.setPage('/paginations') },
                        h("a", { class: `nav-link ${this.isActive('/paginations')}`, id: "v-pills-profile-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Pagination")),
                    h("stencil-route-link", { url: '/progress-bars', onClick: () => this.setPage('/progress-bars') },
                        h("a", { class: `nav-link ${this.isActive('/progress-bars')}`, id: "v-pills-profile-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Progress")),
                    h("stencil-route-link", { url: '/alerts', onClick: () => this.setPage('/alerts') },
                        h("a", { class: `nav-link ${this.isActive('/alerts')}`, id: "v-pills-profile-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Alerts")),
                    h("stencil-route-link", { url: '/cards', onClick: () => this.setPage('/cards') },
                        h("a", { class: `nav-link ${this.isActive('/cards')}`, id: "v-pills-profile-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Cards")),
                    h("stencil-route-link", { url: '/collapses', onClick: () => this.setPage('/collapses') },
                        h("a", { class: `nav-link ${this.isActive('/collapses')}`, id: "v-pills-profile-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Collapses")),
                    h("stencil-route-link", { url: '/tooltips', onClick: () => this.setPage('/tooltips') },
                        h("a", { class: `nav-link ${this.isActive('/tooltips')}`, id: "v-pills-profile-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Tooltips")),
                    h("stencil-route-link", { url: '/popovers', onClick: () => this.setPage('/popovers') },
                        h("a", { class: `nav-link ${this.isActive('/popovers')}`, id: "v-pills-profile-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Popovers")),
                    h("stencil-route-link", { url: '/toggles', onClick: () => this.setPage('/toggles') },
                        h("a", { class: `nav-link ${this.isActive('/toggles')}`, id: "v-pills-profile-tab", "data-toggle": "pill", role: "tab", "aria-controls": "v-pills-profile", "aria-selected": "false" }, "Toggles"))),
                h("div", { class: "col" },
                    h("br", null),
                    h("stencil-router", null,
                        h("stencil-route", { url: '/', component: 'app-home', exact: true }),
                        h("stencil-route", { url: '/cards', component: 'stb-page-card' }),
                        h("stencil-route", { url: '/dropdowns', component: 'stb-page-dropdowns' }),
                        h("stencil-route", { url: '/navs', component: 'stb-page-navs' }),
                        h("stencil-route", { url: '/modals', component: 'stb-page-modals' }),
                        h("stencil-route", { url: '/carousels', component: 'stb-page-carousels' }),
                        h("stencil-route", { url: '/paginations', component: 'stb-page-paginations' }),
                        h("stencil-route", { url: '/progress-bars', component: 'stb-page-progress-bars' }),
                        h("stencil-route", { url: '/alerts', component: 'stb-page-alerts' }),
                        h("stencil-route", { url: '/collapses', component: 'stb-page-collapses' }),
                        h("stencil-route", { url: '/tooltips', component: 'stb-page-tooltips' }),
                        h("stencil-route", { url: '/popovers', component: 'stb-page-popovers' }),
                        h("stencil-route", { url: '/toggles', component: 'stb-page-toggles' }))))));
    }
    static get is() { return "my-app"; }
    static get properties() { return { "currentPage": { "state": true }, "history": { "type": "Any", "attr": "history" } }; }
    static get style() { return "/**style-placeholder:my-app:**/"; }
}
