import { EventEmitter } from '../../stencil.core';
export declare const TOGGLE_CLASSES: {
    active: string;
    inactive: string;
};
export declare class StbPagination {
    element: HTMLElement;
    onSelect: EventEmitter;
    selected: number;
    prevSelector: string;
    nextSelector: string;
    pagesSelector: string;
    private listeners;
    private pageElements;
    private prevElement;
    private nextElement;
    private prevListener;
    private nextListener;
    private currentSlide;
    componentWillLoad(): void;
    componentDidUnload(): void;
    getPrevNextButtons(): void;
    getPageElements(): void;
    addClickHandler(element: any, fn: any): () => boolean;
    elementClickHandler(element: any, index: any): void;
    addActiveClass(element: any): void;
    removeActiveClass(): void;
    select(index?: number): void;
    next(): void;
    prev(): void;
}
