import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
import { Modifiers } from 'popper.js';
export declare class StbTooltip {
    body: HTMLElement;
    isVisible: boolean;
    element: HTMLElement;
    onShow: EventEmitter;
    onHide: EventEmitter;
    disabled: boolean;
    action: string;
    target: string;
    positionFixed: boolean;
    modifiers: Modifiers;
    onlyOneOpen: boolean;
    placement: any;
    tooltipTitle: any;
    buttonListener: any;
    documentListener: any;
    button: any;
    tooltip: any;
    componentDidLoad(): void;
    componentDidUnload(): void;
    getTitle(): void;
    getPlacement(): void;
    hideAllTooltips(): void;
    hasClass(element: any, className: any): boolean;
    managePlacement(): void;
    addClickListener(element?: any): void;
    removeClickListener(element?: any): void;
    showTarget(): void;
    hideTarget(): void;
    toggle(): void;
    show(): void;
    hide(): void;
    render(): JSX.Element;
}
