export class StbPageNavs {
    render() {
        return (h("div", { class: "pb-4" },
            h("h1", null, "Navs"),
            h("br", null),
            h("br", null),
            h("h2", null, "What to know"),
            h("p", null,
                "Navs are still structured the same as bootstrap with one big difference. You will now use ",
                `stb-nav`,
                " as a wrapper. We are only going to cover the differences here.  If you want to learn more about Navs then go to ",
                h("a", { href: "https://getbootstrap.com/docs/4.1/components/navs/" }, "Bootstrap Navs")),
            h("br", null),
            h("br", null),
            h("h3", null, "Tabs Example"),
            h("stb-nav", null,
                h("div", { class: "nav nav-tabs", id: "nav-tab", role: "tablist" },
                    h("a", { class: "nav-item nav-link active", id: "nav-home-tab", "data-toggle": "tab", href: "#nav-home", role: "tab", "aria-controls": "nav-home", "aria-selected": "true" }, "Home"),
                    h("a", { class: "nav-item nav-link", id: "nav-profile-tab", "data-toggle": "tab", href: "#nav-profile", role: "tab", "aria-controls": "nav-profile", "aria-selected": "false" }, "Profile"),
                    h("a", { class: "nav-item nav-link", id: "nav-contact-tab", "data-toggle": "tab", href: "#nav-contact", role: "tab", "aria-controls": "nav-contact", "aria-selected": "false" }, "Contact")),
                h("div", { class: "tab-content", id: "nav-tabContent" },
                    h("div", { class: "tab-pane fade show active", id: "nav-home", role: "tabpanel", "aria-labelledby": "nav-home-tab" }, "tab page 1"),
                    h("div", { class: "tab-pane fade", id: "nav-profile", role: "tabpanel", "aria-labelledby": "nav-profile-tab" }, "tab page 2"),
                    h("div", { class: "tab-pane fade", id: "nav-contact", role: "tabpanel", "aria-labelledby": "nav-contact-tab" }, "tab page 3"))),
            h("br", null),
            h("stb-code", null, `<stb-nav>
  <div class="nav nav-tabs" id="nav-tab" role="tablist">
    <a class="nav-item nav-link active" id="nav-home-tab" data-toggle="tab"
      href="#nav-home" role="tab" aria-controls="nav-home" aria-selected="true">Home</a>
    <a class="nav-item nav-link" id="nav-profile-tab" data-toggle="tab"
      href="#nav-profile" role="tab" aria-controls="nav-profile" aria-selected="false">Profile</a>
    <a class="nav-item nav-link" id="nav-contact-tab" data-toggle="tab"
      href="#nav-contact" role="tab" aria-controls="nav-contact" aria-selected="false">Contact</a>
  </div>
  <div class="tab-content" id="nav-tabContent">
    <div class="tab-pane fade show active" id="nav-home"
      role="tabpanel" aria-labelledby="nav-home-tab">tab page 1</div>
    <div class="tab-pane fade" id="nav-profile"
      role="tabpanel" aria-labelledby="nav-profile-tab">tab page 2</div>
    <div class="tab-pane fade" id="nav-contact"
      role="tabpanel" aria-labelledby="nav-contact-tab">tab page 3</div>
  </div>
</stb-nav>`),
            h("br", null),
            h("br", null),
            h("h3", null, "Pills Example"),
            h("stb-nav", null,
                h("ul", { class: "nav nav-pills mb-3", id: "pills-tab", role: "tablist" },
                    h("li", { class: "nav-item" },
                        h("a", { class: "nav-link active", id: "pills-home-tab", "data-toggle": "pill", href: "#pills-home", role: "tab", "aria-controls": "pills-home", "aria-selected": "true" }, "Home")),
                    h("li", { class: "nav-item" },
                        h("a", { class: "nav-link", id: "pills-profile-tab", "data-toggle": "pill", href: "#pills-profile", role: "tab", "aria-controls": "pills-profile", "aria-selected": "false" }, "Profile")),
                    h("li", { class: "nav-item" },
                        h("a", { class: "nav-link", id: "pills-contact-tab", "data-toggle": "pill", href: "#pills-contact", role: "tab", "aria-controls": "pills-contact", "aria-selected": "false" }, "Contact"))),
                h("div", { class: "tab-content", id: "pills-tabContent" },
                    h("div", { class: "tab-pane fade show active", id: "pills-home", role: "tabpanel", "aria-labelledby": "pills-home-tab" }, "tab pill 1"),
                    h("div", { class: "tab-pane fade", id: "pills-profile", role: "tabpanel", "aria-labelledby": "pills-profile-tab" }, "tab pill 2"),
                    h("div", { class: "tab-pane fade", id: "pills-contact", role: "tabpanel", "aria-labelledby": "pills-contact-tab" }, "tab pill 3"))),
            h("br", null),
            h("stb-code", null, `<stb-nav>
  <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
    <li class="nav-item">
      <a class="nav-link active" id="pills-home-tab" data-toggle="pill"
        href="#pills-home" role="tab" aria-controls="pills-home" aria-selected="true">Home</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" id="pills-profile-tab" data-toggle="pill"
        href="#pills-profile" role="tab" aria-controls="pills-profile" aria-selected="false">Profile</a>
    </li>
    <li class="nav-item">
      <a class="nav-link" id="pills-contact-tab" data-toggle="pill"
        href="#pills-contact" role="tab" aria-controls="pills-contact" aria-selected="false">Contact</a>
    </li>
  </ul>
  <div class="tab-content" id="pills-tabContent">
    <div class="tab-pane fade show active" id="pills-home"
      role="tabpanel" aria-labelledby="pills-home-tab">tab pill 1</div>
    <div class="tab-pane fade" id="pills-profile"
      role="tabpanel" aria-labelledby="pills-profile-tab">tab pill 2</div>
    <div class="tab-pane fade" id="pills-contact"
      role="tabpanel" aria-labelledby="pills-contact-tab">tab pill 3</div>
  </div>
</stb-nav>`),
            h("br", null),
            h("br", null),
            h("br", null),
            h("br", null),
            h("br", null),
            h("h3", null, "Methods"),
            h("table", { class: 'table' },
                h("thead", null,
                    h("tr", null,
                        h("th", null, "Method"),
                        h("th", null, "Description"))),
                h("tbody", null,
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').show(1)")),
                        h("td", null, "Shows the nav page that was passed via parameters as 0-index.")),
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').hide(1)")),
                        h("td", null, "hides the nav page that was passed via parameters as 0-index.")))),
            h("br", null),
            h("h3", null, "Events"),
            h("table", { class: 'table' },
                h("thead", null,
                    h("tr", null,
                        h("th", null, "Event"),
                        h("th", null, "Description"))),
                h("tbody", null,
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "onShow")),
                        h("td", null, "This event fires immediately when the show instance method is called.")),
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "onHide")),
                        h("td", null, "This event is fired when a nav page has finished being hidden."))))));
    }
    static get is() { return "stb-page-navs"; }
    static get style() { return "/**style-placeholder:stb-page-navs:**/"; }
}
