export class StbPagePaginations {
    render() {
        return (h("div", { class: "pb-4" },
            h("h1", null, "Pagination"),
            h("br", null),
            h("br", null),
            h("stb-pagination", null,
                h("ul", { class: "pagination" },
                    h("li", { class: "page-item", "stb-prev": true },
                        h("a", { class: "page-link" }, "Previous")),
                    h("li", { class: "page-item", "stb-page": "1" },
                        h("a", { class: "page-link" }, "1")),
                    h("li", { class: "page-item", "stb-page": "2" },
                        h("a", { class: "page-link" }, "2")),
                    h("li", { class: "page-item", "stb-page": true },
                        h("a", { class: "page-link" }, "3")),
                    h("li", { class: "page-item", "stb-next": true },
                        h("a", { class: "page-link" }, "Next")))),
            h("br", null),
            h("br", null),
            h("stb-pagination", { selected: 1 },
                h("ul", { class: "pagination" },
                    h("li", { class: "page-item disabled", "stb-prev": true },
                        h("a", { class: "page-link", tabindex: "-1" }, "Previous")),
                    h("li", { class: "page-item", "stb-page": true },
                        h("a", { class: "page-link" }, "1")),
                    h("li", { class: "page-item active", "stb-page": true },
                        h("a", { class: "page-link" },
                            "2 ",
                            h("span", { class: "sr-only" }, "(current)"))),
                    h("li", { class: "page-item", "stb-page": true },
                        h("a", { class: "page-link" }, "3")),
                    h("li", { class: "page-item", "stb-next": true },
                        h("a", { class: "page-link" }, "Next")))),
            h("br", null),
            h("br", null),
            h("stb-code", null, `<stb-pagination selected={1}>
  <ul class="pagination">
    <li class="page-item" stb-prev><a class="page-link">Previous</a></li>
    <li class="page-item" stb-page="1"><a class="page-link">1</a></li>
    <li class="page-item" stb-page="2"><a class="page-link">2</a></li>
    <li class="page-item" stb-page><a class="page-link">3</a></li>
    <li class="page-item" stb-next><a class="page-link">Next</a></li>
  </ul>
</stb-pagination>`),
            h("br", null),
            h("br", null),
            h("h3", null, "Methods"),
            h("table", { class: 'table' },
                h("thead", null,
                    h("tr", null,
                        h("th", null, "Method"),
                        h("th", null, "Description"))),
                h("tbody", null,
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').select(1)")),
                        h("td", null, "Selects the page that was passed via parameters as 0-index.")),
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').next()")),
                        h("td", null, "Shows the next page in the array gathered from top down priority of the page-item.")),
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "document.querySelector('element | class | id').prev()")),
                        h("td", null, "Shows the previous page in the array gathered from top down priority of the page-item.")))),
            h("br", null),
            h("h3", null, "Events"),
            h("table", { class: 'table' },
                h("thead", null,
                    h("tr", null,
                        h("th", null, "Event"),
                        h("th", null, "Description"))),
                h("tbody", null,
                    h("tr", null,
                        h("td", null,
                            h("code", { class: "highlighter-rouge" }, "onSelect")),
                        h("td", null, "This event fires immediately when a page is selected."))))));
    }
    static get is() { return "stb-page-paginations"; }
    static get style() { return "/**style-placeholder:stb-page-paginations:**/"; }
}
