export class StbPageToggles {
    render() {
        return (h("div", { class: "pb-4" },
            h("stb-toggle", null,
                h("div", { class: "btn-group-toggle", "data-toggle": "buttons" },
                    h("label", { class: "btn btn-secondary active" },
                        h("input", { type: "checkbox", checked: true, autocomplete: "off" }),
                        " Checked"))),
            h("br", null),
            h("br", null),
            h("stb-toggle", { selected: 1 },
                h("div", { class: "btn-group btn-group-toggle", "data-toggle": "buttons" },
                    h("label", { class: "btn btn-secondary active" },
                        h("input", { type: "radio", name: "options", id: "option1", autocomplete: "off", checked: true }),
                        " Active"),
                    h("label", { class: "btn btn-secondary" },
                        h("input", { type: "radio", name: "options", id: "option2", autocomplete: "off" }),
                        " Radio"),
                    h("label", { class: "btn btn-secondary" },
                        h("input", { type: "radio", name: "options", id: "option3", autocomplete: "off" }),
                        " Radio"))),
            h("br", null),
            h("br", null),
            h("stb-code", null, `<stb-toggle selected={1}>
  <div class="btn-group btn-group-toggle" data-toggle="buttons">
    <label class="btn btn-secondary active">
      <input type="radio" name="options" id="option1" autocomplete="off" checked /> Active
    </label>
    <label class="btn btn-secondary">
      <input type="radio" name="options" id="option2" autocomplete="off" /> Radio
    </label>
    <label class="btn btn-secondary">
      <input type="radio" name="options" id="option3" autocomplete="off" /> Radio
    </label>
  </div>
</stb-toggle>`)));
    }
    static get is() { return "stb-page-toggles"; }
    static get style() { return "/**style-placeholder:stb-page-toggles:**/"; }
}
