export class StbTooltips {
    render() {
        return (h("div", { class: "pb-4" },
            h("h1", null, "Tooltips"),
            h("br", null),
            h("br", null),
            h("stb-tooltip", null,
                h("button", { class: "btn btn-secondary", type: "button", "data-toggle": "tooltip", "data-placement": "top", title: "Tooltip on top", "aria-haspopup": "true", "aria-expanded": "false" }, "Tooltip on Top")),
            h("br", null),
            h("br", null),
            h("stb-tooltip", null,
                h("button", { class: "btn btn-secondary", type: "button", "data-toggle": "tooltip", "data-placement": "bottom", title: "Tooltip on bottom", "aria-haspopup": "true", "aria-expanded": "false" }, "Tooltip on Bottom")),
            h("br", null),
            h("br", null),
            h("stb-tooltip", null,
                h("button", { class: "btn btn-secondary", type: "button", "data-toggle": "tooltip", "data-placement": "left", title: "Tooltip on left", "aria-haspopup": "true", "aria-expanded": "false" }, "Tooltip on Left")),
            h("br", null),
            h("br", null),
            h("stb-tooltip", null,
                h("button", { class: "btn btn-secondary", type: "button", "data-toggle": "tooltip", "data-placement": "right", title: "Tooltip on right", "aria-haspopup": "true", "aria-expanded": "false" }, "Tooltip on Right")),
            h("br", null),
            h("br", null),
            h("stb-code", null, `<stb-tooltip>
  <button class="btn btn-secondary" type="button" data-toggle="tooltip" data-placement="top"
    title="Tooltip on top" aria-haspopup="true" aria-expanded="false">
   Tooltip on Top
  </button>
</stb-tooltip>

<stb-tooltip>
  <button class="btn btn-secondary" type="button" data-toggle="tooltip" data-placement="bottom"
    title="Tooltip on bottom" aria-haspopup="true" aria-expanded="false">
    Tooltip on Bottom
  </button>
</stb-tooltip>

<stb-tooltip>
  <button class="btn btn-secondary" type="button" data-toggle="tooltip" data-placement="left"
    title="Tooltip on left" aria-haspopup="true" aria-expanded="false">
    Tooltip on Left
  </button>
</stb-tooltip>

<stb-tooltip>
  <button class="btn btn-secondary" type="button" data-toggle="tooltip" data-placement="right"
    title="Tooltip on right" aria-haspopup="true" aria-expanded="false">
    Tooltip on Right
  </button>
</stb-tooltip>`)));
    }
    static get is() { return "stb-page-tooltips"; }
    static get style() { return "/**style-placeholder:stb-page-tooltips:**/"; }
}
