export class AppHome {
    render() {
        return (h("div", { class: 'app-home' },
            h("h1", null, "Welcome!"),
            h("p", null, "Welcome to the last bootstrap component library. Thanks to Stencil, we can now have our bootstrap components work everywhere; including, angular, react, vue, and the future."),
            h("h2", null, "Getting Started"),
            h("p", null,
                "We have only created components that either required jQuery/javascript or made sense to have as a wrapper like ",
                h("span", { class: 'text-light bg-secondary px-1' }, `<card></card>`),
                "."),
            h("p", null, "We designed the stencil bootstrap (stb) components to work with existing bootstrap examples where the inner portions of code should just work from the bootstrap documentation page. We did add examples and references on how to use stb. Good luck and have fun!"),
            h("br", null),
            h("h2", null,
                h("a", { href: "https://github.com/DevEngage/stencil-bootstrap", target: '_blank' }, "Github Repo")),
            h("br", null),
            h("h2", null, "Schedule"),
            h("h5", null, "Status: Experimental"),
            h("h5", null, "Alpha: End of April"),
            h("h5", null, "Beta: End of May")));
    }
    static get is() { return "app-home"; }
    static get style() { return "/**style-placeholder:app-home:**/"; }
}
