import { EventEmitter } from '../../stencil.core';
export declare const TOGGLE_CLASSES: {
    active: string;
    show: string;
    inactive: string;
};
export declare class StbCarousel {
    element: HTMLElement;
    onShow: EventEmitter;
    onHide: EventEmitter;
    selected: number;
    slideSelector: string;
    indicatorSelector: string;
    prevSelector: string;
    nextSelector: string;
    interval: number;
    cycleType: string | boolean;
    ride: boolean;
    wrap: boolean;
    private listeners;
    private nextListener;
    private prevListener;
    private slideElements;
    private indicatorElements;
    private prevElement;
    private nextElement;
    private intervalHandler;
    private currentSlide;
    componentWillLoad(): void;
    componentDidUnload(): void;
    getPrevNextButtons(): void;
    getSlideElements(): void;
    getIndicatorElements(): void;
    addClickHandler(element: any, fn?: () => void): () => void;
    indicatorClickHandler(element: any, index: any): void;
    addActiveClass(element: any): void;
    removeActiveClass(elements?: any): void;
    show(index?: number): void;
    hide(index?: number): void;
    next(): void;
    prev(): void;
    pause(): void;
    play(): void;
}
